Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
snmpwalk Not Installed With net-analyzer/net-snmp
View unanswered posts
View posts from last 24 hours

Reply to topic    Gentoo Forums Forum Index Networking & Security
View previous topic :: View next topic  
Author Message

Joined: 04 Feb 2014
Posts: 1
Location: Staffordshire, England, UK

PostPosted: Tue Feb 04, 2014 12:24 pm    Post subject: snmpwalk Not Installed With net-analyzer/net-snmp Reply with quote


Sorry this is probably a blatant n00b issue.

I've emerged net-analyzer/net-snmp, configured the snmp daemon and confirmed it is running:

mymachine portage # ps -ef | grep snmp
root      6611     1  0 03:36 ?        00:00:32 /usr/sbin/snmpd -p /var/run/snm
root      7555  7261  0 12:20 pts/0    00:00:00 grep --colour=auto snmp

Just to confirm it's installed:
*  net-analyzer/net-snmp
      Latest version available: 5.7.2-r1
      Latest version installed: 5.7.2-r1
      Size of files: 6,137 kB
      Description:   Software for generating and retrieving SNMP data
      License:       HPND BSD GPL-2

I have the following global use flags set:


USE="bindist -X -gtk -kde -gnome -qt -qtmt -pdflib xmpp cgi fastcgi fbcon ftp apache2 php mysql minimal snmp vim-syntax SSL"

And the following package specific use flags in my package.use file:


net-analyser/net-snmp bzip2 doc lm_sensors perl python rpm ssl tcpd zlib -X diskio

Is there an additional package I need to install or are there use flags I need to change in order to install snmpwalk?

I'm investigating SNMP as a means of monitoring my own network and also a business network that I look after.
It's a bit of a baptism of fire just now :)

Thanks in advance for your help
...a few apples short of a strudel...
Back to top
View user's profile Send private message

Joined: 29 Apr 2014
Posts: 202
Location: Milan, IT

PostPosted: Fri May 16, 2014 10:27 am    Post subject: Reply with quote

That's really weird... Here are my net-snmp USE flags
 $ equery -C uses net-snmp
[ Legend : U - final flag setting for installation]
[        : I - package is installed with flag     ]
[ Colors : set, unset                             ]
 * Found these USE flags for net-analyzer/net-snmp-5.7.3_pre3:
 U I
 + + X                              : Add support for X11
 + + bzip2                          : Use the bzlib compression library
 - - doc                            : Add extra documentation (API, Javadoc, etc). It is recommended to enable per
                                      package instead of globally
 - - elf                            : Enable the use of elf utils to check uptime on some systems
 - - ipv6                           : Add support for IP version 6
 - - lm_sensors                     : Add linux lm_sensors (hardware sensors) support
 - - mfd-rewrites                   : Use MFD rewrites of mib modules where available
 - - minimal                        : Install a very minimal build (disables, for example, plugins, fonts, most
                                      drivers, non-critical features)
 - - mysql                          : Add mySQL Database support
 - - netlink                        : Use dev-libs/libnl to fetch TCP statistics instead of using /proc/net/tcp
                                      (Linux only).
 - - pci                            : Use libpci (from sys-apps/pciutils) to look up network interface description.
                                      This feature is only available on Linux.
 + + perl                           : Add optional support/bindings for the Perl language
 - - python                         : Add optional support/bindings for the Python language
 + + python_single_target_python2_7 : Build for Python 2.7 only
 + + python_targets_python2_7       : Build with Python 2.7
 - - rpm                            : Enable monitoring of app-arch/rpm. This flag requires the bzip2 and zlib flags
                                      to be enabled as well.
 + + ssl                            : Add support for Secure Socket Layer connections
 + + tcpd                           : Add support for TCP wrappers
 - - ucd-compat                     : Build UCD compatibility library. Increases significantly the install size.
 + + zlib                           : Add support for zlib (de)compression

(I wonder why there is no "diskio" flag :S)

snmpwalk should be installed in /usr/bin:
~ # equery -C files net-snmp | grep snmpwalk
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Networking & Security All times are GMT
Page 1 of 1

Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum